#!/bin/bash

echo "=> Iniciamos la gestión de códigos para konica ..."

# Para Konica: PJL SET KMSECTIONKEY2 (p.e. IES Torre de los Espejos)
if grep -a "PJL SET KMSECTIONKEY2" "${TEADATAFILE}" &> /dev/null ; then
    sed -i "0,/KMSECTIONKEY2/{s#PJL SET KMSECTIONKEY2 = .*#PJL SET KMSECTIONKEY2 = \"${USERCODEPRINT}\"#}" "${TEADATAFILE}"
fi

# Para Konica: Sin seguimiento de Volumen (EKC), pero con autenticación de usuario: KMUSERNAME y KMUSERKEY2
### Konica (p.e. IES Miguel Servet - Konica Minolta 758)
## Opciones de CPUS (localhost:631):
# Account Track (Seguimiento de volumen EKC): Desactivado
# User Authentication: MFP - Servidor auten: 1 - Nombre de usuario: Custom -  Contraseña: Custom
if grep -a "PJL SET KMUSERNAME" "${TEADATAFILE}" &> /dev/null ; then
    sed -i "0,/KMUSERNAME/{s#PJL SET KMUSERNAME = .*#PJL SET KMUSERNAME = \"${NOMBREPRINT}\"#}" "${TEADATAFILE}"
    sed -i "s/^(nameusu)/(${NOMBREPRINT})/g" "${TEADATAFILE}"
fi
if grep -a "PJL SET KMUSERKEY2" "${TEADATAFILE}" &> /dev/null ; then
    sed -i "0,/KMUSERKEY2/{s#PJL SET KMUSERKEY2 = .*#PJL SET KMUSERKEY2 = \"${USERCODEPRINT}\"#}" "${TEADATAFILE}"
    sed -i "s/^(1234)/(${USERCODEPRINT})/g" "${TEADATAFILE}"
fi

echo "=> Terminamos la gestión de códigos para konica ..."