# Personalización de PPDs (Sharp - IES Goya)

Los PPDs de Sharp vienen muy pelados, sin opción de autenticación de usuarios, sin opciones de configuración de retención, etc.  Para suplir esta carencia Sharp nos proporciona la herramienta PPD Customize Tool Ver1.05 la cual nos permite personalizarlos y añadirle las opciones que faltan.  En concreto, proporcionan el programa en C PPD.c que es necesario compilar para generar el binario o ejecutable necesario (hecho para el IES Goya):

```
gcc -o linuxppd.bin PPD.c
```

Mirando la documentación que nos proporcionan, PPD_CustomizeTool_Linux_V105E.doc, podemos advertir que para añadir la opción de retención a un PPD tenemos que ejecutar el siguiente comando (añadir la opción proporcionada por Para011.dat):

```
linuxppd.bin PPD_original PPD_resultante dato_a_configurar [password]
linuxppd.bin Sharp-MX-M754N-ps.ppd \
	Sharp-MX-M754N-ps-v2.ppd
	../../PPD\ Customize\ Tool\ Ver1.05/Config\ File/Para011.dat
```

Ahora el PPD Sharp-MX-M754N-ps-v2.ppd ya dispone de la opción de retención.  Para que configurar la retención tendremos que modificar vía CUPS/firefox el valor por defecto DefaultARRetention: Normal por ARRetention Before/Hold Only: "@PJL SET HOLD = STORE<0A>" (Hold Only, para que lo retenga sin imprimir).

Una vez ya tenemos el PPD resultante tal como deseamos podremos configurar la impresora en Linux como siempre:

```
lpadmin -p Impresion-Retenida -E -v tea4cups:/socket://172.30.1.245:9100 \
	-P ./Sharp-MX-M754N-ps-v2.ppd \
	-o pdftops-renderer-default=pdftocairo
```