#!/bin/bash

echo "=> Iniciamos la gestión de códigos para kyocera ..."

# Para Kyocera:
# p.e. CEIP Sarrión - Kyocera-Mita-TASKalfa-250ci (campo "jobaccounting" de CUPs - gestión Web):
# En el PPD de la Kyocera aparece como sigue:
## *DefaultKmManagment: MG12345678
## *KmManagment MG12345678/12345678: "(12345678) statusdict /setmanagementnumber get exec"
# A nivel de TeadataFile:
## %%BeginFeature: *KmManagment MG23834
## (23834) statusdict /setmanagementnumber get exec
# Cambiar el código 12345678 por el codigo de usuario introducido (se ha generalizado):
if grep -a "KmManagment" "${TEADATAFILE}" &> /dev/null ; then
    sed -i "s/\(%%BeginFeature: .*KmManagment MG\)\(.*\)/\1${USERCODEPRINT}/g" "${TEADATAFILE}"
    # sed -i "s/^(12345678)/(${USERCODEPRINT})/g" "${TEADATAFILE}"
    sed -i "s#\((.*)\)\( statusdict /setmanagementnumber get exec\)#(${USERCODEPRINT})\2#g" "${TEADATAFILE}"
fi

echo "=> Terminamos la gestión de códigos para kyocera ..."